Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry Class Reference

Registry for Criterion field value handlers. More...

## Public Member Functions
| __construct (array $map=[])
| Create field value handler registry with handler map. More...
| register ($fieldTypeIdentifier, $handler)
| Register $handler for $fieldTypeIdentifier. More...
| get ($fieldTypeIdentifier)
| Returns handler for given $fieldTypeIdentifier. More...
| has ($fieldTypeIdentifier)
| Checks if handler is registered for the given $fieldTypeIdentifier. More...

## Protected Attributes
| $map = []

## Detailed Description

Registry for Criterion field value handlers.

Definition at line 14 of file HandlerRegistry.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry::__construct | ( | array | $map = `[]` | ) |

Create field value handler registry with handler map.

Parameters

  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler[] | $map | Map of Criterion field value handlers where key is field type identifier and value field value handler

Definition at line 30 of file HandlerRegistry.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry\$map.

## Member Function Documentation

## ◆ get()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry::get | ( |  | $fieldTypeIdentifier | ) |

Returns handler for given $fieldTypeIdentifier.

Exceptions

Definition at line 57 of file HandlerRegistry.php.

## ◆ has()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry::has | ( |  | $fieldTypeIdentifier | ) |

Checks if handler is registered for the given $fieldTypeIdentifier.

Parameters

  string | $fieldTypeIdentifier |

Returns
  bool

Definition at line 73 of file HandlerRegistry.php.

## ◆ register()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry::register | ( |  | $fieldTypeIdentifier,
|  |  | $handler
| ) |  |

Register $handler for $fieldTypeIdentifier.

Parameters

  string | $fieldTypeIdentifier |
  \eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\Handler | $handler |

Definition at line 43 of file HandlerRegistry.php.

## Member Data Documentation

## ◆ $map

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry::$map = []
| protected

Definition at line 22 of file HandlerRegistry.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldValue\HandlerRegistry\__construct().

The documentation for this class was generated from the following file:

- HandlerRegistry.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.